{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<div class="container-fluid">
  <div class="row">
    <div class="col-6 mb-4 mt-4">
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-2 font-weight-bold text-primary">Containers Settings</h6>
        </div>
        <div class="card-body">
          <form method="POST" action="/node-config">
            {% for container in containers %}
            <div class="card shadow mb-4">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">{{ container['name'] }}</h6>
              </div>
              <div class="card-body">
                <input type="hidden" name="id" value="{{ container['id'] }}">
                <!-- <div class="form-group">
                    <label for="node">Node:</label>
                    <input class="form-control" type="text" name="node" value="{{ container['node'] }}">
                </div> -->
                <div class="form-group">
                  <label for="cpu">Number of CPUs:</label>
                  <input class="form-control" type="text" name="cpu" value="{{ container['cpu'] }}">
                </div>
                <div class="form-group">
                  <label for="portgrpc">Port gRPC:</label>
                  <input class="form-control" type="text" name="portgrpc" value="{{ container['portgrpc'] }}">
                </div>
                <div class="form-group">
                  <label for="portwebui">Port Web UI:</label>
                  <input class="form-control" type="text" name="portwebui" value="{{ container['portwebui'] }}">
                </div>
                <div class="form-group">
                  <label for="startcommand">Start Command:</label>
                  <input class="form-control" type="text" name="startcommand" value="{{ container['startcommand'] }}">
                </div>
              </div>

            </div>
            {% endfor %}

            <button class="btn btn-primary btn-block" type="submit">Save Container setting</button>
          </form>
        </div>
      </div>
    </div>


    <div class="col-6 mb-4 mt-4">

      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-2 font-weight-bold text-primary">Job Settings</h6>
        </div>
        <div class="card-body">
          <form method="POST" action="/hpc-config">
            <div class="form-group">
              <label for="username">Username:</label>
              <input class="form-control" type="text" name="username" value="{{ job_settings['username'] }}" required>
            </div>
            <div class="form-group">
              <label for="password">Password:</label>
              <input class="form-control" type="password" name="password" value="{{ job_settings['password'] }}"
                required>
            </div>
            <div class="form-group">
              <label for="site">Site:</label>
              <input class="form-control" type="text" name="site" value="{{ job_settings['site'] }}" required>
            </div>
            <div class="form-group">
              <label for="project_name">Project Name:</label>
              <input class="form-control" type="text" name="project_name" value="{{ job_settings['project_name'] }}"
                required>
            </div>
            <div class="form-group">
              <label for="site">Partition:</label>
              <input class="form-control" type="text" name="partition" value="{{ job_settings['partition'] }}" required>
            </div>
            <div class="form-group">
              <label for="site">Number of GPUs:</label>
              <input class="form-control" type="text" name="gpu_number" value="{{ job_settings['gpu_number'] }}"
                required>
            </div>
            <div class="form-group">
              <label for="site">Notification Email:</label>
              <input class="form-control" type="text" name="notification_email"
                value="{{ job_settings['notification_email'] }}" required>
            </div>
            <div class="form-group">
              <label for="site">Memory per CPU in GB:</label>
              <input class="form-control" type="text" name="memory_per_cpu" value="{{ job_settings['memory_per_cpu'] }}"
                required>
            </div>
            <div class="form-group">
              <label for="duration">Duration (minutes):</label>
              <input class="form-control" type="text" name="duration" value="{{ job_settings['duration'] }}" required>
            </div>
            <button class="btn btn-primary btn-block" type="submit">Save</button>

          </form>
        </div>

      </div>

      <div class="card shadow mb-4">
        <div class="card-body">
          <div class="form-check">
            <input class="form-check-input" type="radio" name="flexRadioDisabled" id="flexRadioDisabled" {% if
              container_configured %} checked {% endif %} disabled>
            <label class="form-check-label" for="flexRadioDisabled">
              Container Configured
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="flexRadioDisabled" id="flexRadioCheckedDisabled" {% if
              job_configured %} checked {% endif %} disabled>
            <label class="form-check-label" for="flexRadioCheckedDisabled">
              Job Configured
            </label>
          </div>
          <form action="/start-job" method="post">
            <button type="submit" class="btn btn-warning btn-block">Start Operation</button>
          </form>
        </div>
      </div>

      <form action="/job" method="get">
        <button type="submit" class="btn btn-warning btn-block">Go to Orchestartor page</button>
      </form>

    </div>

  </div>


  {% endblock %}